.modal-container {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  padding: 0;
  margin: 0;
  z-index: 1001;
  background: rgba(22, 36, 48, 0.5);
  color: #fff; }
  .modal-container .dialog {
    width: 450px;
    height: 100vh;
    z-index: 1002;
    transition: all .3s;
    background: rgba(22, 36, 48, 0.9);
    position: fixed;
    top: 0;
    right: 0;
    padding: 10px; }
    .modal-container .dialog .actions button {
      margin-right: 10px; }
    @media (max-width: 575px) {
      .modal-container .dialog {
        width: 80vw; } }
  .modal-container.collapsed {
    background: rgba(22, 36, 48, 0);
    top: -100vh; }
    .modal-container.collapsed .dialog {
      right: -450px; }
